<?php

# @name: search.php
# @version: 0.1
# @creation_date: 2021-09-30
# @license: The MIT License <https://opensource.org/licenses/MIT>
# @author: Simon Bowie <ad7588@coventry.ac.uk>
# @purpose: Searches the Solr index

include '../solr.php';

?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</head>
<body>

  <div class="container">

<?php

  $search_results = solr_search($_POST["search"]);

  //print_r($search_results);

  foreach($search_results as $result):

?>
    Application ID:

    <?php
    echo $result['application_id'];
    ?>

    <br><br>

    EPO publication:

    <a href=<?php echo $result['epo_publication_url']; ?>>
      <?php
      echo $result['epo_publication_url'];
      ?>
    </a>

    <br><br>

    IPC publication:

    <a href=<?php echo $result['ipc_publication_url']; ?>>
      <?php
      echo $result['ipc_publication_url'];
      ?>
    </a>

    <br><br>

    Title:

    <?php
    echo $result['title'];
    ?>

    <br><br>

    <?php
    if ($result['abstract']):
    ?>

    Abstract:

      <?php
      echo $result['abstract'];
      ?>

    <br><br>

    <hr>

    <?
    endif;
    ?>

<?php
  endforeach;
?>

  </div>
</body>
</html>
